<?php

App::uses('AppController', 'Controller');

class EvCaseStudiesAppController extends AppController {

	public function beforeFilter() {
		parent::beforeFilter();

		$this->CaseStudiesWidgets = $this->Components->load('EvCaseStudies.CaseStudiesWidgets');
	}

	public function widgetLatestCaseStudies($limit = 3) {
		$latestCaseStudies = $this->CaseStudiesWidgets->latestCaseStudies($limit);

		$view = new View($this, false);
		$view->loadHelper('Routable.Route');
		$view->set('latest_case_studies', $latestCaseStudies);
		$output = $view->render('EvCaseStudies.Widgets/latest_case_studies', false);

		$this->set('case_studies_plugin_widget_latest_case_studies', $output);
	}

	public function widgetCategories($limit = null) {
		$categories = $this->CaseStudiesWidgets->categories($limit);

		$view = new View($this, false);
		$view->loadHelper('Routable.Route');
		$view->set('categories', $categories);
		$output = $view->render('EvCaseStudies.Widgets/categories', false);

		$this->set('case_studies_plugin_widget_categories', $output);
	}
}
